Subject: Re: bug#24033: Porting emacs-25 to GNU/Linux ppc64 with draft glibc 2.24

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Jul 2016 17:59:27 +0300

> From: Paul Eggert <[email-masked]>
> Date: Wed, 20 Jul 2016 10:02:32 +0200
> 
> I'd like to backport the attached patch from master to emacs-25. The 
> idea is that Emacs 25 should work with glibc 2.24 (which is still in 
> draft form). glibc is withdrawing support for some deprecated symbols 
> like malloc_set_state and __malloc_initialize_hook. Emacs is intended to 
> be portable to systems lacking these symbols, but this apparently does 
> not work on ppc64 and ppc64le platforms. As noted in 
> <https://sourceware.org/ml/libc-alpha/2016-07/msg00546.html>, the 
> attached patch has been tested on emacs-25 and works on the affected 
> platforms. I've also tested it on unaffected platforms such as x86 and 
> x86-64.

Would it be possible to tweak the patch so that it doesn't change the
code on platforms other than PPC64?  Maybe I misunderstand, but it
looks like some changes are also being done in the non-PPC64 branches
of the patch, and I'd like to avoid that if possible.  (It's okay to
move the code around and change it syntactically, as long as the
semantics is intact for non-PPC64 platforms.)

Thanks.